apiVersion: v1
kind: Service
metadata:
  name: minecraft-service
  namespace: minecraft
spec:
  ports:
    - port: 25565
      protocol: TCP
  selector:
    app: minecraft
  type: LoadBalancer
  loadBalancerIP: 192.168.1.153
---
apiVersion: v1
kind: Service
metadata:
  name: minecraft-bluemap-service
  namespace: minecraft
spec:
  ports:
    - port: 8100
      protocol: TCP
  selector:
    app: minecraft
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: minecraft-rcon-service
  namespace: minecraft
spec:
  ports:
    - port: 25575
      protocol: TCP
  selector:
    app: minecraft
  type: ClusterIP

